Name:           headphones
Version: 	0.5.19
Release: 	1%{?dist}
License: 	GPLv3+
Summary: 	An automatic music NZB and torrent downloader
Url:		https://github.com/rembo10/headphones
Group:		Productivity/Networking/News/Clients
Source:		https://github.com/rembo10/headphones/archive/v%{version}.tar.gz
Source1:        headphones.service
BuildRequires: 	python-devel
BuildRequires:  fdupes
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch: 	noarch

BuildRequires: 	systemd-units
Requires(post): systemd-units
Requires(preun): 	systemd-units
Requires(postun): 	systemd-units

%description
Headphones is an automated music downloader for NZB and Torrent, written in Python. 
It supports SABnzbd, NZBget, Transmission, µTorrent, Deluge and Blackhole.

%prep
%setup -q 

%build

%install
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/headphones
touch $RPM_BUILD_ROOT%{_sysconfdir}/headphones/config.ini

# needed?
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/run/headphones

mkdir -p $RPM_BUILD_ROOT%{_datadir}
install -d -m 0755 %{_builddir}/headphones-%{version} $RPM_BUILD_ROOT%{_datadir}/headphones
cp -r %{_builddir}/headphones-%{version}/* $RPM_BUILD_ROOT%{_datadir}/headphones

mkdir -p $RPM_BUILD_ROOT%{_unitdir}
install -m 0755 %{SOURCE1} $RPM_BUILD_ROOT%{_unitdir}/

mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/headphones
ln -s %{_sysconfdir}/headphones/config.ini $RPM_BUILD_ROOT%{_localstatedir}/lib/headphones/config.ini

# rpmlint badness duplicate files
%fdupes $RPM_BUILD_ROOT%{_datadir}

%pre
getent group headphones >/dev/null || groupadd -r headphones
getent passwd headphones >/dev/null || useradd -r -g headphones -d %{_localstatedir}/lib/headphones -s /sbin/nologin -c "user for headphones" headphones
exit 0

%post
%systemd_post headphones.service

%preun
%systemd_preun headphones.service

%postun
%systemd_postun_with_restart headphones.service

%files
%defattr(-,root,root)
%attr(0750,headphones,headphones) %dir %{_sysconfdir}/headphones
%config %attr(0640,headphones,headphones)%{_sysconfdir}/headphones/config.ini

%doc CHANGELOG.md API.md CONTRIBUTING.md LICENSE README.md requirements-dev.txt
%doc init-scripts

%{_datadir}/headphones
%attr(0755,root,root) %{_unitdir}/headphones.service
%attr(0755,headphones,headphones)%{_localstatedir}/lib/headphones


%changelog
* Sun Sep 02 2018 josef radinger <cheese@nosuchhost.net> - 0.5.19-1
- bump version

* Tue Sep 01 2015 josef radinger <cheese@nosuchhost.net> - 0.5.18-1
- initial version

